import request from '@/utils/request'

// 查询巡检设备管理列表
export function listDevice(query) {
  return request({
    url: '/qdtl/device/list',
    method: 'get',
    params: query
  })
}

// 查询巡检设备管理详细
export function getDevice(id) {
  return request({
    url: '/qdtl/device/' + id,
    method: 'get'
  })
}

// 新增巡检设备管理
export function addDevice(data) {
  return request({
    url: '/qdtl/device',
    method: 'post',
    data: data
  })
}

// 修改巡检设备管理
export function updateDevice(data) {
  return request({
    url: '/qdtl/device',
    method: 'put',
    data: data
  })
}

// 删除巡检设备管理
export function delDevice(id) {
  return request({
    url: '/qdtl/device/' + id,
    method: 'delete'
  })
}
